Bug 74428 - matrox mystique pci card driver freezes X server screen, but the mouse is still active
matrox mystique pci card driver freezes X server screen, but the mouse is sti...
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-09-24 00:50 EDT by Need Real Name
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-11-03 03:38:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-09-24 00:50:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020408

Description of problem:
The screen will freeze running gnome or  kde with a pci matrox mystique 4mb card
at various resolutions/depths (640x480 24, 1280x1024 16).  The mouse is still
active on the screen but the rest of the screen image is frozen.  The machine
still seems to be up.  I can telnet into the machine and bring it down
gracefully.  It does not matter whether I use the smp or non smp kernel
2.4.18-10 or 2.4.18-3.  I am running with the supermicro p6dne dual pentium pro
board.  I also tried changing the cache from writeback to write through,
disabling posting to pci and vga sections in the bios.

When I tried using a nvidia card, the problem went away.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.In gnome, grab a window with a lot of image content and vigorously move the
window around.
2.The screen will almost always lock up within a few minutes.  

The original problem was caused by moving the scroll button in a mozilla window
but it takes much longer to see the screen freeze.

Actual Results:  The screen will freeze, but the mouse is still active.

Expected Results:  The rest of the screen should not be frozen.

Additional info:

I bet the problem is the bit blt code in the mga(matrox) video driver in the
XFree86 release 4.2.0.  When I switch to a nvidia geforce2 card, the problem
goes away.
Comment 1 Mike A. Harris 2002-11-03 03:38:48 EST
Please attach X server log and config from after a crash, for troubleshooting
and debugging.
Comment 2 Mike A. Harris 2002-11-24 04:49:16 EST
Since no logs or info, I'm assuming you worked the problem out on your
own, and closing bug NOTABUG.  If it is still present, and you care to
see it addressed, please attach the requested info and reopen.

Note You need to log in before you can comment on or make changes to this bug.